
package org.glassfish.admingui.common.gadget;

import org.jvnet.hk2.annotations.Service;
import org.jvnet.hk2.config.ConfigInjector;
import org.jvnet.hk2.config.Dom;
import org.jvnet.hk2.config.InjectionTarget;

@Service(name = "Content", metadata = "target=org.glassfish.admingui.common.gadget.GadgetContent,@type=optional,@type=datatype:java.lang.String,@type=leaf,@href=optional,@href=datatype:java.lang.String,@href=leaf")
@InjectionTarget(GadgetContent.class)
public class GadgetContentInjector
    extends ConfigInjector<GadgetContent>
{


    public void inject(Dom dom, GadgetContent target) {
        attribute_setType(dom, target);
        attribute_setHref(dom, target);
    }

    public void injectAttribute(Dom dom, String name, GadgetContent target) {
        if ("type".equals(name)) {
            attribute_setType(dom, target);
        }
        if ("href".equals(name)) {
            attribute_setHref(dom, target);
        }
    }

    public void injectElement(Dom dom, String name, GadgetContent target) {
    }

    public void attribute_setType(Dom dom, GadgetContent target) {
        String v1 = dom.attribute("type");
        if (v1 == null) {
            return ;
        }
        target.setType(v1);
    }

    public void attribute_setHref(Dom dom, GadgetContent target) {
        String v1 = dom.attribute("href");
        if (v1 == null) {
            return ;
        }
        target.setHref(v1);
    }

}
